Bug 460882 - Intel driver on the Thinkpad T61 does not detect monitor resolutions correctly
Intel driver on the Thinkpad T61 does not detect monitor resolutions correctly
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-09-02 07:28 EDT by Chris Lord
Modified: 2008-10-22 10:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-22 10:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Lord 2008-09-02 07:28:33 EDT
Description of problem:

When I start the X server with a monitor (a ViewSonic VA2010wb), the server starts in an unusably low resolution. Running xrandr does not report the top resolution of the monitor (1680x1050), but does report 1400x900 (and several lower resolutions). It picks the lowest resolution though, I guess because this is common between the LCD and the monitor.

When I start Ubuntu Hardy with this monitor plugged in, it correctly detects it and starts the X server at a resolution of 1680x1050. I have confirmed this behaviour with more recent intel drivers under Ubuntu, but have not done the same on Fedora (yet).

This monitor is also detected correctly by the open unichrome drivers on a VIA chipset, and under Windows on the same T61 laptop.

Version-Release number of selected component (if applicable):

Rawhide, up-to-date yesterday.

How reproducible:


Steps to Reproduce:
1. Plug a ViewSonic VA2010wb monitor into a Thinkpad T61 (or any other laptop with an intel chipset, I imagine)
2. Start X
Actual results:

X starts at 640x480 and xrandr reports that the monitor supports a maximum resolution of 1400x900

Expected results:

X should start at the maximum resolution of the monitor (or at least a sensible comprimise between the laptop panel and the monitor's maximum resolution) and xrandr should report all supported resolutions of the monitor.
Comment 1 Matěj Cepl 2008-09-10 17:01:31 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2008-10-21 18:52:55 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Chris Lord 2008-10-22 04:38:56 EDT
I'm afraid I'm not in a position to answer this anymore; an update broke X completely, broke ethernet and network-manager wouldn't let me do WEP authentication from the terminal, so I gave up and installed a different distro.

If it helps, I was not running with an /etc/X11/xorg.conf and the monitor is detected correctly on i945 hardware in Ubuntu hardy (and on various other hardware too, though non-Intel). I wouldn't be surprised if this is already fixed in a later driver version than the one I was using.
Comment 4 Matěj Cepl 2008-10-22 10:28:19 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.


Note You need to log in before you can comment on or make changes to this bug.